## ros-indigo-rocon-qt-gui 0.7.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rocon_qt_gui)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-rocon-qt-gui (0.7.12-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 04 Aug 2015 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.7.11-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.7.10-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.7.9-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 29 Mar 2015 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.7.8-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.7.7-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 01 Mar 2015 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.7.6-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 27 Feb 2015 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.7.5-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.7.4-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 29 Dec 2014 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.7.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 28 Dec 2014 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.7.2-0trusty) trusty; urgency=high

  * add new packages in meta pkg
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.7.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.5.4-0trusty) trusty; urgency=high

  * add CHANGELOG files

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 10 Sep 2013 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.5.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.5.2-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.5.1-0trusty) trusty; urgency=high

  * 0.5.0

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Jun 2013 16:50:50 +0900

ros-indigo-rocon-qt-gui (0.5.0-0trusty) trusty; urgency=high

  * 0.4.1
  * buildtool depend on catkin for metapackages.
  * 0.4.0
  * CMake for meta pkg

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 May 2013 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.3.1-0trusty) trusty; urgency=high

  * CMakeLists.txt for metapackages.
  * 0.3.1 again.
  * fix catkin metapackage buildtool dependency.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 08 Apr 2013 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.3.0-0trusty) trusty; urgency=high

  * remove confusing metapackage dependencies.
  * updated stack dependencies.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-indigo-rocon-qt-gui (0.2.0-0trusty) trusty; urgency=high

  * added the metapackage.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Jan 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-qt-gui
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://www.ros.org/wiki/rocon_qt_gui
Standards-Version: 3.9.2

Package: ros-indigo-rocon-qt-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-concert-admin-app, ros-indigo-concert-conductor-graph, ros-indigo-concert-qt-make-a-map, ros-indigo-concert-qt-map-annotation, ros-indigo-concert-qt-service-info, ros-indigo-concert-qt-teleop, ros-indigo-rocon-gateway-graph, ros-indigo-rocon-qt-app-manager, ros-indigo-rocon-qt-library, ros-indigo-rocon-qt-listener, ros-indigo-rocon-qt-master-info, ros-indigo-rocon-qt-teleop, ros-indigo-rocon-remocon
Description: Qt gui applications for interacting with the rocon framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-qt-gui//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
